Bug 333650 - DNS/Search DNS settings do not strip spaces from the comma delimited values
Summary: DNS/Search DNS settings do not strip spaces from the comma delimited values
Status: RESOLVED FIXED
Alias: None
Product: plasma-nm
Classification: Unclassified
Component: editor (show other bugs)
Version: 0.9.3.3
Platform: Kubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Lukáš Tinkl
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-20 13:24 UTC by janow49420
Modified: 2014-04-22 10:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Spaces in the list not stripped (105.41 KB, image/png)
2014-04-20 13:25 UTC, janow49420
Details

Note You need to log in before you can comment on or make changes to this bug.
Description janow49420 2014-04-20 13:24:11 UTC
Spaces should be automatically stripped from the values in DNS Servers/Search Domains:

If someone enters this: example.com, example.net, example.org, example.edu
example.com
 example.net
 example.org
 example.edu

It does not make sense to have a space in a domain name so I don't see any reason in stripping it automatically if the user enters it.

Reproducible: Always
Comment 1 janow49420 2014-04-20 13:25:43 UTC
Created attachment 86182 [details]
Spaces in the list not stripped
Comment 2 Jan Grulich 2014-04-22 10:09:38 UTC
Git commit f2cdca6debf76ce2b96191e1209cbe0cfd1dbcd5 by Jan Grulich.
Committed on 22/04/2014 at 10:09.
Pushed by grulich into branch '0.9.3'.

Automatically strip spaces for DNS servers and domains

M  +19   -19   libs/editor/settings/ipv4widget.cpp
M  +2    -2    libs/editor/settings/ipv6widget.cpp

http://commits.kde.org/plasma-nm/f2cdca6debf76ce2b96191e1209cbe0cfd1dbcd5
Comment 3 Jan Grulich 2014-04-22 10:11:56 UTC
Git commit 895602f228cf8fb7a7824256006db449e857eb48 by Jan Grulich.
Committed on 22/04/2014 at 10:09.
Pushed by grulich into branch 'frameworks'.

Automatically strip spaces for DNS servers and domains

Conflicts:
	libs/editor/settings/ipv4widget.cpp
	libs/editor/settings/ipv6widget.cpp

M  +19   -19   libs/editor/settings/ipv4widget.cpp
M  +2    -2    libs/editor/settings/ipv6widget.cpp

http://commits.kde.org/plasma-nm/895602f228cf8fb7a7824256006db449e857eb48